/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dusk.h"

typedef struct _eventitem_t eventitem_t;

#define EVENT_TEXT_STRING_COUNT_MAX 8

typedef const char_t* eventtext_t;

/**
 * Starts the text event for the given item.
 * 
 * @param item The event item to start.
 */
void eventTextStart(const eventitem_t *item);

/**
 * Updates the text event for the given item.
 * 
 * @param item The event item to update.
 */
void eventTextUpdate(const eventitem_t *item);

/**
 * Query whether the text event is done or not.
 * 
 * @param item The event item to check.
 */
bool_t eventTextIsDone(const eventitem_t *item);